> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/content-collections/data-security-posture-management/api-documentation/authenticate-and-call-your-first-api.md).

# Authenticate and call your first API

This article describes how to authenticate and call your first API.

After [generating an API key](https://docs.prismacloud.io/en/enterprise-edition/content-collections/data-security-posture-management/api-documentation/create-an-api-key), you're ready to authenticate and make your first API call!

1. For authentication, ensure you include your Prisma Cloud DSPM API key in the headers using the following format: **dig-api-key':'YOUR\_KEY'**
2. To perform a test, attempt to call the specified endpoint with filters. This action should display a list of the initial 20 S3 buckets in your environment: [**https://api.dig.security/v1/assets**](https://api.dig.security/v1/assets)

**NOTE**: Make sure you call the API with **https\://** and not **http\://**

Servers:

* EU stacks = <https://api.dig.security>
* US stacks = <https://api.use1.dig.security>

For further information, refer to the [API endpoints documentation](https://pan.dev/prisma-cloud/api/dspm/get-started/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.prismacloud.io/content-collections/data-security-posture-management/api-documentation/authenticate-and-call-your-first-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
